#! /bin/sh
#---------------------------------------------------------------------------
# /usr/local/mybin/dyndns.sh - DynDNS Dynamic hostname configuration
# See http://www.dyndns.org for specification
# written by Thomas Mueller <twm@s2h.cx>
# based on dtdns.sh from Jens Fischer
# Creation:     2001-05-05 twm
# Last Changed: 2001-05-15 twm
#----------------------------------------------------------------------------

# the parameter is not used yet
STATE=$1                                    # "up" or "down"

echo "Setting up dynamic hostname ..."

# get the parameters saved there in rc.dyndns
SUBDOMAIN=`cat /var/run/dyndns.subdomain`
DYNDOMAIN=`cat /var/run/dyndns.dyndomain`
SECRET=`cat /var/run/dyndns.secret`

(echo "GET /nic/update?system=dyndns&hostname=$SUBDOMAIN.$DYNDOMAIN&wildcard=NOCHG&offline=NO HTTP/1.1"
 echo "Host: members.dyndns.org"
 echo "Authorization: Basic $SECRET"
 echo "User-Agent: fli4l/1.0 me@null.net"
 echo "" ) | /usr/local/bin/netcat members.dyndns.org 80

echo ""
echo "done"

exit 0
